### Constructor

# Gtk.EventControllerScroll.new

#### Declaration [src]

    GtkEventController*
    gtk_event_controller_scroll_new (
      GtkEventControllerScrollFlags flags
    )

#### Description [src]

Creates a new event controller that will handle scroll events.

#### Parameters

`flags` | `GtkEventControllerScrollFlags`
| flags affecting the controller behavior

#### Return value

Returns: `GtkEventController`
a new `GtkEventControllerScroll`
Ownership of the data is transferred to the caller